
%global qt_module qtserialport

%global examples 1

%define short_version 6.5

Summary: Qt6 - SerialPort component
Name:    qt6-%{qt_module}
Version: 6.5.0
Release: 1

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
Source0: https://download.qt.io/official_releases/qt/%{short_version}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ninja-build
BuildRequires: qt6-rpm-macros
BuildRequires: qt6-qtbase-devel >= %{version}
BuildRequires: qt6-qtbase-private-devel
BuildRequires: pkgconfig(libudev)
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

%description
Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt6-qtbase-devel%{?_isa}
%description devel
%{summary}.

%if 0%{?examples}
%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
# BuildRequires: qt6-qtserialport-devel >= %{version}
%description examples
%{summary}.
%endif

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%cmake_qt6 -DQT_BUILD_EXAMPLES:BOOL=%{?examples:ON}%{!?examples:OFF}

cmake --build . %{?_smp_mflags} --verbose


%install
DESTDIR="%{buildroot}" cmake --install .

## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt6_libdir}
for prl_file in libQt6*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd


%ldconfig_scriptlets

%files
%license LICENSES/*
%{_qt6_libdir}/libQt6SerialPort.so.6*

%files devel
%{_qt6_headerdir}/QtSerialPort/
%{_qt6_libdir}/libQt6SerialPort.so
%{_qt6_libdir}/libQt6SerialPort.prl
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSerialPortTestsConfig.cmake
%dir %{_qt6_libdir}/cmake/Qt6SerialPort/
%{_qt6_libdir}/cmake/Qt6SerialPort/*.cmake
%{_qt6_mkspecsdir}/modules/qt_lib_serialport*.pri
%{_qt6_archdatadir}/metatypes/qt6*_metatypes.json
%{_qt6_archdatadir}/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc

%if 0%{?examples}
%files examples
%{_qt6_examplesdir}/
%endif

%changelog
* Fri May 5 2023 EastDong <xudong23@iscas.ac.cn> - 6.5.0-1
- update package

* Sat Nov 12 2022 Jingwiw <wangjingwei@iscas.ac.cn> - 6.4.0-1
- init package
